Package com.google.android.exoplayer2

## Interface Player.Listener

- All Superinterfaces:
    `AudioListener`, `DeviceListener`, `MetadataOutput`, `Player.EventListener`, `TextOutput`, `VideoListener`
  All Known Implementing Classes:
    `AnalyticsCollector`, `DebugTextViewHelper`, `ExoPlayerTestRunner`, `ImaAdsLoader`
  Enclosing interface:
    Player

      public static interface Player.Listener
      extends VideoListener, AudioListener, TextOutput, MetadataOutput, DeviceListener, Player.EventListener

  Listener of all changes in the Player.

  All methods have no-op default implementations to allow selective overrides.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `onCues​(List<Cue> cues)` | Called when there is a change in the `Cues`.
    `default void` | `onMetadata​(Metadata metadata)` | Called when there is metadata associated with current playback time.

    - ### Methods inherited from interface com.google.android.exoplayer2.audio.AudioListener

      `onAudioAttributesChanged, onAudioSessionIdChanged, onSkipSilenceEnabledChanged, onVolumeChanged`

    - ### Methods inherited from interface com.google.android.exoplayer2.device.DeviceListener

      `onDeviceInfoChanged, onDeviceVolumeChanged`

    - ### Methods inherited from interface com.google.android.exoplayer2.Player.EventListener

      `onAvailableCommandsChanged, onEvents, onIsLoadingChanged, onIsPlayingChanged, onLoadingChanged, onMediaItemTransition, onMediaMetadataChanged, onPlaybackParametersChanged, onPlaybackStateChanged, onPlaybackSuppressionReasonChanged, onPlayerError, onPlayerStateChanged, onPlayWhenReadyChanged, onPositionDiscontinuity, onPositionDiscontinuity, onRepeatModeChanged, onSeekProcessed, onShuffleModeEnabledChanged, onStaticMetadataChanged, onTimelineChanged, onTimelineChanged, onTracksChanged`

    - ### Methods inherited from interface com.google.android.exoplayer2.video.VideoListener

      `onRenderedFirstFrame, onSurfaceSizeChanged, onVideoSizeChanged, onVideoSizeChanged`

- - ### Method Detail

    - #### onCues

          default void onCues​(List<Cue> cues)

      Description copied from interface: `TextOutput`
      Called when there is a change in the `Cues`.

      `cues` is in ascending order of priority. If any of the cue boxes overlap when displayed, the `Cue` nearer the end of the list should be shown on top.

      Specified by:
        `onCues` in interface `TextOutput`
      Parameters:
        `cues` - The `Cues`. May be empty.

    - #### onMetadata

          default void onMetadata​(Metadata metadata)

      Description copied from interface: `MetadataOutput`
      Called when there is metadata associated with current playback time.
      Specified by:
        `onMetadata` in interface `MetadataOutput`
      Parameters:
        `metadata` - The metadata.